# encoding: utf-8
require 'java'
require 'logstash/event'

require 'nakadi-klients_jars.rb'

class NakadiListener
  include org.zalando.nakadi.client.java.Listener

  def initialize(id, logstash_queue, codec)
    @id = id
    @logstash_queue = logstash_queue
    @codec = codec
  end

  def getId
    @id
  end

  def onReceive(event_url, cursor, events)
    events.each { |e| @logstash_queue << LogStash::Event.new(e) }
  end

  def onError(event_url, error)
    puts("onError: #{error}")
    if (error.isPresent and error.get.getException.isPresent)
      error.get.getException.get.printStackTrace
    end
  end

  def onSubscribed(endpoint, cursor)
  end
end